<?php echo '<?xml version="1.0" encoding="utf-8"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-ca">
<head> <?php $this->RenderAsset('Head'); ?>
<meta name ="viewport" content ="width=device-width,minimum-scale=1.0,maximum-scale=1.0"/>

<script type="text/javascript">
 var RecaptchaOptions = {
    theme : 'blackglass'
 };
 </script>

</head>
<body id="<?php echo $BodyIdentifier; ?>" class="<?php echo $this->CssClass; ?>">
   <div id="Frame">
   <div class="Row">

      <div id="Head">

<h1><span ><a><?php echo Gdn_Theme::Logo(); ?></a></span></h1>

         <div class="Menu">
				

             <?php
			      $Session = Gdn::Session();
					if ($this->Menu) {
							//you can add more links to the dropdown by making the first name Menu like below
						
                         $this->Menu->AddLink('Menu', T('Menu'),'#');
                         $this->Menu->AddLink('Menu', T('Dashboard'), '/dashboard/settings', array('Garden.Settings.Manage'));
						 $this->Menu->AddLink('Menu', T('Edit Profile'),'/profile/edit',array('Garden.SignIn.Allow'),array('title'=>'Edit Your profile'));
						 $this->Menu->AddLink('Menu', T('Home'),'/');
						 $this->Menu->AddLink('Menu', T('Activity'), '/activity',array('Garden.SignIn.Allow'));
						 $this->Menu->AddLink('Menu',T('New Discussion'), 'post/discussion',array('Garden.SignIn.Allow'));
						 $this->Menu->AddLink('Menu', T('New Message'), '/messages/add/{Username}',array('Garden.SignIn.Allow'), array('class' => 'Messagelink'));
						// $this->Menu->AddLink('Menu', T('Games'), 'games',array('Garden.SignIn.Allow'));
                        // $this->Menu->AddLink('Menu', T('Gallery'),'gallery',array('Garden.SignIn.Allow'));
                        // $this->Menu->AddLink('Menu', T('Bonk'), 'plugin/Bonk',array('Garden.Settings.manage'));
                        // $this->Menu->AddLink('Menu',T('Contact'), 'contact');
                        // $this->Menu->AddLink('Menu',T('VChat'), 'vchat',array('Garden.SignIn.Allow'));
                         $this->Menu->AddLink('Menu', T('Mobile View'), 'profile/mobile');
                       //  $this->Menu->AddLink('Menu',T('Privacy'), 'privacy');
                         
                      // $this->Menu->AddLink('Dashboard', T('Users'), '/user/browse', array('Garden.Users.Add', 'Garden.Users.Edit', 'Garden.Users.Delete'));                     
                                             
                                              //these links are added by these plugins I removed them to place them in the dropdown 
                                              // $this->Menu->RemoveLink('Gallery', T('Gallery'),'gallery',array('Garden.SignIn.Allow'));
                                             //  $this->Menu->RemoveLink('Contact',T('Contact'), 'contact');
                                             //  $this->Menu->RemoveLink('VChat',T('VChat'), 'plugin/VChat');
                                              // $this->Menu->RemoveLink('Games', T('Games'), 'games');
			         

			         $Authenticator = Gdn::Authenticator();
						if ($Session->IsValid()) {
							$Name = $Session->User->Name;
							$CountNotifications = $Session->User->CountNotifications;
							if (is_numeric($CountNotifications) && $CountNotifications > 0)
								$Name .= ' <span>'.$CountNotifications.'</span>';
								
							$this->Menu->AddLink('User', $Name, '/profile/{UserID}/{Username}', array('Garden.SignIn.Allow'), array('class' => 'UserNotifications'));
							$this->Menu->AddLink('SignOut', T('Sign Out'), $Authenticator->SignOutUrl(), FALSE, array('class' => 'NonTab SignOut'));
						} else {
							$Attribs = array();
							if (C('Garden.SignIn.Popup') && strpos(Gdn::Request()->Url(), 'entry') === FALSE)
								$Attribs['class'] = 'SignInPopup';
								
							$this->Menu->AddLink('Entry', T('Sign In'), $Authenticator->SignInUrl($this->SelfUrl), FALSE, array('class' => 'NonTab'), $Attribs);
						}
						echo $this->Menu->ToString();
					}
				?>
     
           </div> </div>
      </div>
      <div id="Body"> 
         <div id="Content"><?php $this->RenderAsset('Content');?></div>
        
<div id="Panel"><?php $this->AddModule('MeModule');?>

<div class="Search"><p>
<?php
					$Form = Gdn::Factory('Form');
					$Form->InputPrefix = '';
					echo 
						$Form->Open(array('action' => Url('/search'), 'method' => 'get')),
						$Form->TextBox('Search'),
						$Form->Button('Go', array('Name' => '')),
						$Form->Close();
				?></div></p>
 <?php $this->RenderAsset('Panel'); ?>
 
</div>
</div>
        
     


<script type="text/javascript"> $(document).ready(function() {
   $(".Attachment a").attr("target", '_blank');
   $("#Foot a").attr("target", '_blank');
});
</script>


<script type="text/javascript">
var ddmenuitem = 0;
var menustyles = { "visibility":"visible", "display":"block", "z-index":"9"}

function Menu_close()
{  if(ddmenuitem) { ddmenuitem.css("visibility", "hidden"); } }

function Menu_open()
{  Menu_close();
   ddmenuitem = $(this).find("ul").css(menustyles);
}

jQuery(document).ready(function()
{  $("ul#Menu > li").bind("mouseover", Menu_open);
   $("ul#Menu > li").bind("mouseout", Menu_close);
});

document.onclick = Menu_close;
</script>



	<?php $this->FireEvent('AfterBody'); ?>
	 <div id="Foot">
  
		
	  
   <?php $this->RenderAsset('Foot');echo Wrap(Anchor(T('Vanilla Theme by VrijVlinder'), C('Garden.VanillaUrl'),array('target' => '_blank')), 'div');?></div>
</body>
</html>